FSTRIM(8)

NOM
fstrim – Abandonner les blocs non utilisés d'un système de fichiers monté

SYNOPSIS

fstrim [-Aa] [-o position] [-l taille] [-m taille_mini [-v] point_montage]

DESCRIPTION

fstrim est utilisé sur un système de fichiers monté pour abandonner (ou « rogner ») les blocs qui ne sont pas utilisés par le système de fichiers. C'est pratique pour les SSD (« solid-state drive ») et l'allocation fine et dynamique (« thinly-provisioned storage »).

Par défaut, fstrim abandonnera tous les blocs non utilisés du système de fichiers. Les options permettent de modifier ce comportement en fonction d'intervalle ou de taille, conformément aux explications suivantes.

Le paramètre point_montage est le chemin du répertoire où le système de fichiers est monté.

Exécuter fstrim fréquemment, ou même utiliser mount -o discard, pourrait affecter négativement la durée de vie des périphériques SSD de mauvaise qualité. Pour la plupart des systèmes de bureau ou de serveur, la fréquence d’abandon suffisante est une fois par semaine. Remarquez que tous les périphériques ne permettent pas de mettre en attente les abandons, donc chaque commande d’abandon pénalise les performances de tout ce qui pourrait être en train d’essayer d’utiliser le disque en même temps.

OPTIONS

Les arguments position, taille et taille_mini peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-A, --fstab
    Rogner tous les systèmes de fichiers mentionnés dans /etc/fstab montés sur les périphériques qui permettent l’opération d’abandon. Le système de fichiers racine est déterminé à partir de la ligne de commande du noyau s’il n’est pas indiqué dans le fichier. Les autres options fournies, comme --offset, --length et --minimum sont appliquées à tous ces périphériques. Les erreurs des systèmes de fichiers qui ne permettent pas l’opération d’abandon sont ignorées silencieusement. Les systèmes de fichiers avec l'option de montage « X-fstrim.notrim » sont sautés.

-a, --all
    Rogner tous les systèmes de fichiers montés sur les périphériques qui permettent l’opération d’abandon. Les autres options fournies, comme --offset, --length et --minimum sont appliquées à tous ces périphériques. Les erreurs des systèmes de fichiers qui ne permettent pas l’opération d’abandon, les périphériques en lecture seule et les systèmes de fichiers en lecture seule sont ignorées silencieusement.

-n, --dry-run
    Cette option permet de tout faire, sauf d’appeler réellement l’ioctl FITRIM.

-o, --offset position
    La position en octet dans le système de fichiers à partir de laquelle commencer à chercher les blocs libres à abandonner. La valeur par défaut est zéro, désignant le début du système de fichiers.

-l, --length taille
    Le nombre d'octets (après le point de départ) où chercher des blocs libres à abandonner. Si la valeur indiquée va au-delà de la fin du système de fichiers, fstrim s'arrêtera à la frontière de taille du système de fichiers. La valeur par défaut prolonge la recherche jusqu'à la fin du système de fichiers.

-I, --listed-in liste
    Indiquer une liste de fichiers séparés par des deux-points dans le format mountinfo du noyau ou de fstab. Tous les fichiers manquants ou vides sont ignorés silencieusement. L’évaluation de la liste s’arrête après le premier fichier non vide. Par exemple :

    --listed-in /etc/fstab:/proc/self/mountinfo.

    Les systèmes de fichiers avec l'option de montage « X-fstrim.notrim » sont sautés.

-m, --minimum taille_mini
    L'intervalle libre contigu minimal à abandonner, en octet (cette valeur est arrondie en interne à un multiple de la taille de bloc du système de fichiers). Les intervalles libres plus petits que cela seront ignorés et fstrim ajustera la valeur minimale si elle est plus petite que le minimum du périphérique et le rapportera (fstrim_range.minlen) dans l’espace utilisateur. En augmentant cette valeur, l'opération fstrim se terminera plus rapidement pour les systèmes de fichiers avec des espaces libres mal fragmentés, même si tous les blocs libres ne sont pas abandonnés. La valeur par défaut est zéro, pour abandonner tous les blocs libres.

-v, --verbose
    Exécution détaillée. Avec cette option, fstrim affichera le nombre d'octets transmis du système de fichiers par la pile de bloc vers le périphérique pour abandon éventuel. Ce nombre est un montant maximal d'abandon d'un point de vue du périphérique de stockage, parce que l'ioctl FITRIM appelé plusieurs fois continuera à répéter l'envoi des mêmes secteurs pour abandon.

    fstrim signalera à chaque fois les mêmes octets à abandonner, mais seuls les secteurs sur lesquels une écriture a eu lieu entre les abandons seront vraiment abandonnés par le périphérique de stockage. De plus, la couche bloc du noyau se réserve le droit d'ajuster les intervalles d'abandon pour s'ajuster à la géométrie des bandes RAID, aux périphériques ne pouvant pas être rognés dans une configuration LVM, etc. Ces réductions ne seront pas reflétées par fstrim_range.len (l'option --length).

--quiet-unsupported
    Supprimer les messages d’erreur si l’opération de rognage (ioctl) n’est pas gérée. Cette option est destinée à une utilisation dans un fichier de service systemd ou dans des scripts cron pour cacher les avertissements qui sont le résultat de problèmes connus, tels que le pilote NTFS signalant Mauvais descripteur de fichier lorsque le périphérique est monté en lecture seule ou l’absence de prise en charge du système de fichiers de l’appel de l’ioctl FITRIM. Cette option nettoie aussi le code de retour quand un système de fichiers non pris en charge est spécifié sur la ligne de commande de fstrim.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

CODE DE RETOUR

0
    Succès.

1
    Échec.

32
    Tout a échoué.

64
    Certains abandons sur le système de fichiers ont réussi, d’autres ont échoués.

La commande fstrim --all renvoie 0 (tous ont réussi), 32 (tous ont échoué) ou 64 (certains ont réussi, d’autres ont échoué).

AUTEURS

VOIR AUSSI

blkdiscard(8), mount(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande fstrim fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.